summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-crypt/cli-crypt/cli-crypt-1.0.ebuild19
-rw-r--r--app-crypt/cryptoapi/cryptoapi-2.4.7.0.ebuild7
-rw-r--r--app-crypt/gnupg/gnupg-1.0.7.ebuild81
-rw-r--r--app-crypt/gpa/files/digest-gpa-0.4.11
-rw-r--r--app-crypt/gpa/files/digest-gpa-0.4.1-r11
-rw-r--r--app-crypt/gpa/files/digest-gpa-0.4.1-r21
-rw-r--r--app-crypt/gpa/gpa-0.4.1-r1.ebuild44
-rw-r--r--app-crypt/gpa/gpa-0.4.1-r2.ebuild45
-rw-r--r--app-crypt/gpa/gpa-0.4.1.ebuild35
-rw-r--r--app-crypt/gpa/gpa-0.4.3.ebuild33
-rw-r--r--app-crypt/gpgme/files/digest-gpgme-0.3.61
-rw-r--r--app-crypt/gpgme/gpgme-0.3.6-r1.ebuild18
-rw-r--r--app-crypt/gpgme/gpgme-0.3.6.ebuild35
-rw-r--r--app-crypt/gringotts/files/digest-gringotts-0.5.51
-rw-r--r--app-crypt/gringotts/files/digest-gringotts-0.5.61
-rw-r--r--app-crypt/gringotts/gringotts-0.5.5.ebuild49
-rw-r--r--app-crypt/gringotts/gringotts-0.5.6.ebuild49
-rw-r--r--app-crypt/gringotts/gringotts-0.5.9.ebuild28
-rw-r--r--app-crypt/heimdal/heimdal-0.4e-r1.ebuild38
-rw-r--r--app-crypt/johntheripper/johntheripper-1.6.ebuild14
-rw-r--r--app-crypt/krb5/files/digest-krb5-1.2.2-r11
-rw-r--r--app-crypt/krb5/files/digest-krb5-1.2.31
-rw-r--r--app-crypt/krb5/files/digest-krb5-1.2.51
-rw-r--r--app-crypt/krb5/krb5-1.2.2-r1.ebuild35
-rw-r--r--app-crypt/krb5/krb5-1.2.3.ebuild35
-rw-r--r--app-crypt/krb5/krb5-1.2.5-r1.ebuild19
-rw-r--r--app-crypt/krb5/krb5-1.2.5.ebuild37
-rw-r--r--app-crypt/kth-krb/kth-krb-1.1-r1.ebuild35
-rw-r--r--app-crypt/mhash/mhash-0.8.16.ebuild20
-rw-r--r--app-crypt/mhash/mhash-0.8.9.ebuild17
-rw-r--r--app-crypt/pam_krb5/pam_krb5-1.0.ebuild17
-rw-r--r--app-crypt/seahorse/seahorse-0.5.0.ebuild18
-rw-r--r--app-crypt/ssh-multiadd/ssh-multiadd-1.3.1.ebuild15
33 files changed, 159 insertions, 593 deletions
diff --git a/app-crypt/cli-crypt/cli-crypt-1.0.ebuild b/app-crypt/cli-crypt/cli-crypt-1.0.ebuild
index 11c996b7276f..0486a48daf07 100644
--- a/app-crypt/cli-crypt/cli-crypt-1.0.ebuild
+++ b/app-crypt/cli-crypt/cli-crypt-1.0.ebuild
@@ -1,20 +1,23 @@
# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/cli-crypt/cli-crypt-1.0.ebuild,v 1.1 2002/07/10 18:13:33 rphillips Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/cli-crypt/cli-crypt-1.0.ebuild,v 1.2 2002/07/25 15:31:24 seemant Exp $
DESCRIPTION="Command-line interface to crypt(3)"
HOMEPAGE="http://freshmeat.net/projects/cli-crypt/"
-LICENSE="GPL"
-DEPEND="virtual/glibc"
-RDEPEND="virtual/glibc"
SRC_URI="http://www.xjack.org/downloads/${P}.tar.gz"
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="x86"
+
+DEPEND="virtual/glibc"
+
src_compile() {
- set ${CC:=gcc}
- make CC="${CC}" CFLAGS="${CFLAGS} -lcrypt"
+ set ${CC:=gcc}
+ make CC="${CC}" CFLAGS="${CFLAGS} -lcrypt"
}
src_install() {
- insinto /usr
- dobin crypt
+ insinto /usr
+ dobin crypt
}
diff --git a/app-crypt/cryptoapi/cryptoapi-2.4.7.0.ebuild b/app-crypt/cryptoapi/cryptoapi-2.4.7.0.ebuild
index 179aee91192e..612ad7044eb3 100644
--- a/app-crypt/cryptoapi/cryptoapi-2.4.7.0.ebuild
+++ b/app-crypt/cryptoapi/cryptoapi-2.4.7.0.ebuild
@@ -1,21 +1,20 @@
# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/cryptoapi/cryptoapi-2.4.7.0.ebuild,v 1.10 2002/07/23 01:12:09 cselkirk Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/cryptoapi/cryptoapi-2.4.7.0.ebuild,v 1.11 2002/07/25 15:31:24 seemant Exp $
S=${WORKDIR}/${P}
DESCRIPTION="Modules that add encryption ability at the kernel level."
SRC_URI="mirror://sourceforge/cryptoapi/${P}.tar.gz"
HOMEPAGE="http://www.sourceforge.net/projects/cryptoapi"
-KEYWORDS="x86 -ppc"
+
SLOT="0"
LICENSE="GPL-2"
+KEYWORDS="x86 -ppc"
DEPEND=">=sys-apps/util-linux-2.11o-r2
virtual/linux-sources
>=sys-apps/portage-1.9.10"
-RDEPEND=">=sys-apps/util-linux-2.11o-r2"
-
src_compile() {
check_KV
econf --enable-iv-mode-sector || die
diff --git a/app-crypt/gnupg/gnupg-1.0.7.ebuild b/app-crypt/gnupg/gnupg-1.0.7.ebuild
index 2c563e626b63..f5d1c65968e9 100644
--- a/app-crypt/gnupg/gnupg-1.0.7.ebuild
+++ b/app-crypt/gnupg/gnupg-1.0.7.ebuild
@@ -1,63 +1,62 @@
-# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# $Header: /home/cvsroot/gentoo-x86/app-crypt/gnupg/gnupg-1.0.4.ebuild,v 1.0
# 2001/04/21 12:45 CST blutgens Exp $
+S="${WORKDIR}/${P}"
DESCRIPTION="The GNU Privacy Guard, a GPL pgp replacement"
HOMEPAGE="http://www.gnupg.org/"
SRC_URI="ftp://ftp.gnupg.org/pub/gcrypt/gnupg/${P}.tar.gz"
-S="${WORKDIR}/${P}"
-DEPEND="virtual/glibc
- nls? ( >=sys-devel/gettext-0.10.35 )
- >=sys-libs/zlib-1.1.3"
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="x86"
+
+DEPEND=">=sys-libs/zlib-1.1.3"
+RDEPEND="nls? ( sys-devel/gettext )"
+
src_unpack() {
- unpack "${A}"
- cd "${S}"
- # Fix those $&*%^$%%$ info files
- patch -p1 < "${FILESDIR}/gnupg-1.0.6.diff"
+ unpack "${A}"
+ cd "${S}"
+ # Fix those $&*%^$%%$ info files
+ patch -p1 < "${FILESDIR}/gnupg-1.0.6.diff"
}
src_compile() {
- # Check to see if we're using nls
- local myconf
- if [ -z "`use nls`" ]; then
- myconf="--disable-nls"
- fi
-
- ./configure \
- --prefix=/usr \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info \
- --enable-static-rnd=linux \
- --enable-m-guard --host="${CHOST}" \
- ${myconf} || die
- emake || die
+ local myconf
+ use nls || myconf="--disable-nls"
+
+ econf \
+ --enable-static-rnd=linux \
+ --enable-m-guard --host="${CHOST}" \
+ ${myconf} || die
+
+ emake || die
}
src_install () {
- make DESTDIR="${D}" install || die
- dodoc ABOUT-NLS AUTHORS BUGS COPYING ChangeLog INSTALL NEWS PROJECTS
- dodoc README TODO VERSION
- docinto doc
- cd doc
- dodoc FAQ HACKING DETAILS ChangeLog
- docinto sgml
- dodoc gpg.sgml gpgv.sgml
- dohtml faq.html
- docinto txt
- dodoc faq.raw
- chmod +s "${D}/usr/bin/gpg"
+ make DESTDIR="${D}" install || die
+ dodoc ABOUT-NLS AUTHORS BUGS COPYING ChangeLog INSTALL NEWS PROJECTS
+ dodoc README TODO VERSION
+ docinto doc
+ cd doc
+ dodoc FAQ HACKING DETAILS ChangeLog
+ docinto sgml
+ dodoc gpg.sgml gpgv.sgml
+ dohtml faq.html
+ docinto txt
+ dodoc faq.raw
+ chmod +s "${D}/usr/bin/gpg"
}
pkg_postinst() {
- einfo "gpg is installed SUID root to make use of protected memory space"
- einfo "This is needed in order to have a secure place to store your passphrases,"
- einfo "etc. at runtime but may make some sysadmins nervous"
+ einfo "gpg is installed SUID root to make use of protected memory space"
+ einfo "This is needed in order to have a secure place to store your passphrases,"
+ einfo "etc. at runtime but may make some sysadmins nervous"
echo " "
einfo "Note: this version is not backwards compatible with gnupg-1.0.6."
- einfo " To update your keyrings run: gpg --rebuild-keydb-caches"
- einfo " To backup your keyrings run: gpg --export-ownertrust"
- einfo " and copy the keyrings out of your ~/.gnupg directory."
+ einfo " To update your keyrings run: gpg --rebuild-keydb-caches"
+ einfo " To backup your keyrings run: gpg --export-ownertrust"
+ einfo " and copy the keyrings out of your ~/.gnupg directory."
}
diff --git a/app-crypt/gpa/files/digest-gpa-0.4.1 b/app-crypt/gpa/files/digest-gpa-0.4.1
deleted file mode 100644
index 53935f47da9a..000000000000
--- a/app-crypt/gpa/files/digest-gpa-0.4.1
+++ /dev/null
@@ -1 +0,0 @@
-MD5 f82709520e6b57d07c24afcb56276935 gpa-0.4.1.tar.gz 362100
diff --git a/app-crypt/gpa/files/digest-gpa-0.4.1-r1 b/app-crypt/gpa/files/digest-gpa-0.4.1-r1
deleted file mode 100644
index 53935f47da9a..000000000000
--- a/app-crypt/gpa/files/digest-gpa-0.4.1-r1
+++ /dev/null
@@ -1 +0,0 @@
-MD5 f82709520e6b57d07c24afcb56276935 gpa-0.4.1.tar.gz 362100
diff --git a/app-crypt/gpa/files/digest-gpa-0.4.1-r2 b/app-crypt/gpa/files/digest-gpa-0.4.1-r2
deleted file mode 100644
index 53935f47da9a..000000000000
--- a/app-crypt/gpa/files/digest-gpa-0.4.1-r2
+++ /dev/null
@@ -1 +0,0 @@
-MD5 f82709520e6b57d07c24afcb56276935 gpa-0.4.1.tar.gz 362100
diff --git a/app-crypt/gpa/gpa-0.4.1-r1.ebuild b/app-crypt/gpa/gpa-0.4.1-r1.ebuild
deleted file mode 100644
index 6d543db4eab6..000000000000
--- a/app-crypt/gpa/gpa-0.4.1-r1.ebuild
+++ /dev/null
@@ -1,44 +0,0 @@
-# Copyright 1999-2000 Gentoo Technologies, Inc.
-# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/gpa/gpa-0.4.1-r1.ebuild,v 1.3 2002/07/11 06:30:11 drobbins Exp $
-
-S=${WORKDIR}/${P}
-DESCRIPTION="Standard GUI for GnuPG"
-SRC_URI="ftp://ftp.gnupg.org/gcrypt/alpha/${PN}/${P}.tar.gz"
-HOMEPAGE="http://www.gnupg.org/gpa.html"
-
-DEPEND="=x11-libs/gtk+-1.2*
- nls? ( sys-devel/gettext )"
-
-
-src_compile() {
- local myconf
-
- if [ -z "`use nls`" ] ; then
- myconf="--disable-nls"
- fi
-
- ./configure --host=${CHOST} \
- --prefix=/usr \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info \
- --sysconfdir=/etc \
- $myconf || die
-
- emake || die
-}
-
-src_install () {
- make prefix=${D}/usr \
- mandir=${D}/usr/share/man \
- infodir=${D}/usr/share/info \
- sysconfdir=${D}/etc \
- install || die
-
- dodoc AUTHORS COPYING ChangeLog README NEWS TODO
-}
-
-
-
-
-
diff --git a/app-crypt/gpa/gpa-0.4.1-r2.ebuild b/app-crypt/gpa/gpa-0.4.1-r2.ebuild
deleted file mode 100644
index 89bb487c519b..000000000000
--- a/app-crypt/gpa/gpa-0.4.1-r2.ebuild
+++ /dev/null
@@ -1,45 +0,0 @@
-# Copyright 1999-2000 Gentoo Technologies, Inc.
-# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/gpa/gpa-0.4.1-r2.ebuild,v 1.3 2002/07/11 06:30:11 drobbins Exp $
-
-S=${WORKDIR}/${P}
-DESCRIPTION="Standard GUI for GnuPG"
-SRC_URI="ftp://ftp.gnupg.org/gcrypt/alpha/${PN}/${P}.tar.gz"
-HOMEPAGE="http://www.gnupg.org/gpa.html"
-
-DEPEND="=x11-libs/gtk+-1.2*
- app-crypt/gnupg
- nls? ( sys-devel/gettext )"
-
-
-src_compile() {
- local myconf
-
- if [ -z "`use nls`" ] ; then
- myconf="--disable-nls"
- fi
-
- ./configure --host=${CHOST} \
- --prefix=/usr \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info \
- --sysconfdir=/etc \
- $myconf || die
-
- emake || die
-}
-
-src_install () {
- make prefix=${D}/usr \
- mandir=${D}/usr/share/man \
- infodir=${D}/usr/share/info \
- sysconfdir=${D}/etc \
- install || die
-
- dodoc AUTHORS COPYING ChangeLog README NEWS TODO
-}
-
-
-
-
-
diff --git a/app-crypt/gpa/gpa-0.4.1.ebuild b/app-crypt/gpa/gpa-0.4.1.ebuild
deleted file mode 100644
index ae22fa64e941..000000000000
--- a/app-crypt/gpa/gpa-0.4.1.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 1999-2000 Gentoo Technologies, Inc.
-# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/gpa/gpa-0.4.1.ebuild,v 1.5 2002/07/11 06:30:11 drobbins Exp $
-
-S=${WORKDIR}/${P}
-DESCRIPTION="Standard GUI for GnuPG"
-SRC_URI="ftp://ftp.gnupg.org/gcrypt/alpha/${PN}/${P}.tar.gz"
-HOMEPAGE="http://www.gnupg.org/gpa.html"
-
-DEPEND="=x11-libs/gtk+-1.2*
- nls? ( sys-devel/gettext )"
-
-
-src_compile() {
- local myconf
-
- if [ -z "`use nls`" ] ; then
- myconf="--disable-nls"
- fi
-
- ./configure --host=${CHOST} --prefix=/usr \
- --sysconfdir=/etc $myconf || die
- emake || die
-}
-
-src_install () {
- make DESTDIR=${D} install || die
-
- dodoc AUTHORS COPYING ChangeLog README NEWS TODO
-}
-
-
-
-
-
diff --git a/app-crypt/gpa/gpa-0.4.3.ebuild b/app-crypt/gpa/gpa-0.4.3.ebuild
index d7871d6b58dd..a94a771bcce1 100644
--- a/app-crypt/gpa/gpa-0.4.3.ebuild
+++ b/app-crypt/gpa/gpa-0.4.3.ebuild
@@ -1,45 +1,30 @@
-# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/gpa/gpa-0.4.3.ebuild,v 1.3 2002/07/11 06:30:11 drobbins Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/gpa/gpa-0.4.3.ebuild,v 1.4 2002/07/25 15:31:24 seemant Exp $
S=${WORKDIR}/${P}
DESCRIPTION="Standard GUI for GnuPG"
SRC_URI="ftp://ftp.gnupg.org/gcrypt/alpha/${PN}/${P}.tar.gz"
HOMEPAGE="http://www.gnupg.org/gpa.html"
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="x86"
+
DEPEND="=x11-libs/gtk+-1.2*
app-crypt/gnupg
nls? ( sys-devel/gettext )"
-
src_compile() {
local myconf
- if [ -z "`use nls`" ] ; then
- myconf="--disable-nls"
- fi
-
- ./configure --host=${CHOST} \
- --prefix=/usr \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info \
- --sysconfdir=/etc \
- $myconf || die
+ use nls || myconf="--disable-nls"
+ econf ${myconf} || die
emake || die
}
src_install () {
- make prefix=${D}/usr \
- mandir=${D}/usr/share/man \
- infodir=${D}/usr/share/info \
- sysconfdir=${D}/etc \
- install || die
-
+ einstall || die
dodoc AUTHORS COPYING ChangeLog README NEWS TODO
}
-
-
-
-
-
diff --git a/app-crypt/gpgme/files/digest-gpgme-0.3.6 b/app-crypt/gpgme/files/digest-gpgme-0.3.6
deleted file mode 100644
index ff5a55c768ec..000000000000
--- a/app-crypt/gpgme/files/digest-gpgme-0.3.6
+++ /dev/null
@@ -1 +0,0 @@
-MD5 6bcac658003d0517870aa65f53f9065f gpgme-0.3.6.tar.gz 604834
diff --git a/app-crypt/gpgme/gpgme-0.3.6-r1.ebuild b/app-crypt/gpgme/gpgme-0.3.6-r1.ebuild
index 2a3ea021ce42..0e179e9f6c3b 100644
--- a/app-crypt/gpgme/gpgme-0.3.6-r1.ebuild
+++ b/app-crypt/gpgme/gpgme-0.3.6-r1.ebuild
@@ -1,24 +1,21 @@
-# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/gpgme/gpgme-0.3.6-r1.ebuild,v 1.1 2002/07/16 22:37:49 seemant Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/gpgme/gpgme-0.3.6-r1.ebuild,v 1.2 2002/07/25 15:31:24 seemant Exp $
S=${WORKDIR}/${P}
DESCRIPTION="GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier for applications."
SRC_URI="ftp://ftp.gnupg.org/gcrypt/alpha/gpgme/${P}.tar.gz"
HOMEPAGE="http://www.gnupg.org/gpgme.html"
-DEPEND="virtual/glibc
- nls? ( >=sys-devel/gettext-0.10.35 )
- >=sys-libs/zlib-1.1.3 >=app-crypt/gnupg-1.0.6"
-
-RDEPEND=">=app-crypt/gnupg-1.0.6"
-
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="x86"
-src_compile() {
+DEPEND=">=sys-libs/zlib-1.1.3
+ >=app-crypt/gnupg-1.0.6"
+RDEPEND="nls? ( sys-devel/gettext )"
+src_compile() {
local myconf
use nls || myconf="--disable-nls"
@@ -27,12 +24,9 @@ src_compile() {
${myconf} || die
emake || die
-
}
src_install () {
-
make DESTDIR=${D} install || die
dodoc AUTHORS COPYING ChangeLog INSTALL NEWS README README-alpha THANKS TODO
-
}
diff --git a/app-crypt/gpgme/gpgme-0.3.6.ebuild b/app-crypt/gpgme/gpgme-0.3.6.ebuild
deleted file mode 100644
index 4c17bef0a7cc..000000000000
--- a/app-crypt/gpgme/gpgme-0.3.6.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 1999-2000 Gentoo Technologies, Inc.
-# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/gpgme/gpgme-0.3.6.ebuild,v 1.3 2002/07/11 06:30:11 drobbins Exp $
-
-S=${WORKDIR}/${P}
-DESCRIPTION="GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier for applications."
-SRC_URI="ftp://ftp.gnupg.org/gcrypt/alpha/gpgme/${P}.tar.gz"
-HOMEPAGE="http://www.gnupg.org/gpgme.html"
-
-DEPEND="virtual/glibc
- nls? ( >=sys-devel/gettext-0.10.35 )
- >=sys-libs/zlib-1.1.3 >=app-crypt/gnupg-1.0.6"
-
-RDEPEND=">=app-crypt/gnupg-1.0.6"
-
-src_compile() {
-
- local myconf
- if [ -z "`use nls`" ]; then
- myconf="--disable-nls"
- fi
-
- try ./configure --prefix=/usr --mandir=/usr/share/man \
- --infodir=/usr/share/info --host=${CHOST} ${myconf}
-
- emake || die
-
-}
-
-src_install () {
-
- make DESTDIR=${D} install || die
- dodoc AUTHORS COPYING ChangeLog INSTALL NEWS README README-alpha THANKS TODO
-
-}
diff --git a/app-crypt/gringotts/files/digest-gringotts-0.5.5 b/app-crypt/gringotts/files/digest-gringotts-0.5.5
deleted file mode 100644
index 800dd648bd5d..000000000000
--- a/app-crypt/gringotts/files/digest-gringotts-0.5.5
+++ /dev/null
@@ -1 +0,0 @@
-MD5 8a4dcd8730109054869646b60fe2ed4b gringotts-0.5.5.tar.bz2 218496
diff --git a/app-crypt/gringotts/files/digest-gringotts-0.5.6 b/app-crypt/gringotts/files/digest-gringotts-0.5.6
deleted file mode 100644
index 39f6fef5d8bd..000000000000
--- a/app-crypt/gringotts/files/digest-gringotts-0.5.6
+++ /dev/null
@@ -1 +0,0 @@
-MD5 49b7c984bea816f8ae9edcbaa804640a gringotts-0.5.6.tar.bz2 218743
diff --git a/app-crypt/gringotts/gringotts-0.5.5.ebuild b/app-crypt/gringotts/gringotts-0.5.5.ebuild
deleted file mode 100644
index 2db7ddfe677d..000000000000
--- a/app-crypt/gringotts/gringotts-0.5.5.ebuild
+++ /dev/null
@@ -1,49 +0,0 @@
-# Copyright 1999-2002 Gentoo Technologies, Inc.
-# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/gringotts/gringotts-0.5.5.ebuild,v 1.1 2002/06/13 23:54:47 stroke Exp $
-
-
-S=${WORKDIR}/${P}
-DESCRIPTION="Gringotts is a utility that allows you to jot down sensitive data"
-SRC_URI="http://devel.pluto.linux.it/projects/Gringotts/current/${P}.tar.bz2"
-HOMEPAGE="http://devel.pluto.linux.it/projects/Gringotts/"
-SLOT="0"
-LICENSE="GPL-2"
-
-
-RDEPEND=">=dev-libs/glib-2.0.3
- >=dev-libs/atk-1.0.2
- >=x11-libs/pango-1.0.2
- >=x11-libs/gtk+-2.0.3
- >=dev-libs/libmcrypt-2.4.19-r1
- >=app-crypt/mhash-0.8.16"
-
-DEPEND="${RDEPEND}
- >=dev-util/intltool-0.17
- >=dev-util/pkgconfig-0.12.0"
-
-src_compile() {
-
- ./configure --host=${CHOST} \
- --prefix=/usr \
- --mandir=/usr/share/man || die
-
- emake || die
-}
-
-src_install() {
-
- make DESTDIR=${D} install || die
-
- dodoc COPYING ChangeLog README AUTHORS
-
-}
-
-
-
-
-
-
-
-
-
diff --git a/app-crypt/gringotts/gringotts-0.5.6.ebuild b/app-crypt/gringotts/gringotts-0.5.6.ebuild
deleted file mode 100644
index 7d8b1c4a4d63..000000000000
--- a/app-crypt/gringotts/gringotts-0.5.6.ebuild
+++ /dev/null
@@ -1,49 +0,0 @@
-# Copyright 1999-2002 Gentoo Technologies, Inc.
-# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/gringotts/gringotts-0.5.6.ebuild,v 1.1 2002/06/15 03:37:44 stroke Exp $
-
-
-S=${WORKDIR}/${P}
-DESCRIPTION="Gringotts is a utility that allows you to jot down sensitive data"
-SRC_URI="http://devel.pluto.linux.it/projects/Gringotts/current/${P}.tar.bz2"
-HOMEPAGE="http://devel.pluto.linux.it/projects/Gringotts/"
-SLOT="0"
-LICENSE="GPL-2"
-
-
-RDEPEND=">=dev-libs/glib-2.0.3
- >=dev-libs/atk-1.0.2
- >=x11-libs/pango-1.0.2
- >=x11-libs/gtk+-2.0.3
- >=dev-libs/libmcrypt-2.4.19-r1
- >=app-crypt/mhash-0.8.16"
-
-DEPEND="${RDEPEND}
- >=dev-util/intltool-0.17
- >=dev-util/pkgconfig-0.12.0"
-
-src_compile() {
-
- ./configure --host=${CHOST} \
- --prefix=/usr \
- --mandir=/usr/share/man || die
-
- emake || die
-}
-
-src_install() {
-
- make DESTDIR=${D} install || die
-
- dodoc COPYING ChangeLog README AUTHORS
-
-}
-
-
-
-
-
-
-
-
-
diff --git a/app-crypt/gringotts/gringotts-0.5.9.ebuild b/app-crypt/gringotts/gringotts-0.5.9.ebuild
index 5b43094c7588..77d8d9947647 100644
--- a/app-crypt/gringotts/gringotts-0.5.9.ebuild
+++ b/app-crypt/gringotts/gringotts-0.5.9.ebuild
@@ -1,15 +1,15 @@
# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/gringotts/gringotts-0.5.9.ebuild,v 1.1 2002/06/17 15:00:38 stroke Exp $
-
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/gringotts/gringotts-0.5.9.ebuild,v 1.2 2002/07/25 15:31:24 seemant Exp $
S=${WORKDIR}/${P}
DESCRIPTION="Gringotts is a utility that allows you to jot down sensitive data"
SRC_URI="http://devel.pluto.linux.it/projects/Gringotts/current/${P}.tar.bz2"
HOMEPAGE="http://devel.pluto.linux.it/projects/Gringotts/"
+
SLOT="0"
LICENSE="GPL-2"
-
+KEYWORDS="x86"
RDEPEND=">=dev-libs/glib-2.0.3
>=dev-libs/atk-1.0.2
@@ -23,27 +23,13 @@ DEPEND="${RDEPEND}
>=dev-util/pkgconfig-0.12.0"
src_compile() {
-
- ./configure --host=${CHOST} \
- --prefix=/usr \
- --mandir=/usr/share/man || die
+ econf || die
- emake || die
+ emake || die
}
src_install() {
+ make DESTDIR=${D} install || die
- make DESTDIR=${D} install || die
-
- dodoc COPYING ChangeLog README AUTHORS
-
+ dodoc COPYING ChangeLog README AUTHORS
}
-
-
-
-
-
-
-
-
-
diff --git a/app-crypt/heimdal/heimdal-0.4e-r1.ebuild b/app-crypt/heimdal/heimdal-0.4e-r1.ebuild
index f849cfe25bfe..a5982c5c93f5 100644
--- a/app-crypt/heimdal/heimdal-0.4e-r1.ebuild
+++ b/app-crypt/heimdal/heimdal-0.4e-r1.ebuild
@@ -1,14 +1,17 @@
-# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/heimdal/heimdal-0.4e-r1.ebuild,v 1.3 2002/07/11 06:30:11 drobbins Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/heimdal/heimdal-0.4e-r1.ebuild,v 1.4 2002/07/25 15:31:24 seemant Exp $
S=${WORKDIR}/${P}
DESCRIPTION="Kerberos 5 implementation from KTH"
SRC_URI="ftp://ftp.pdc.kth.se/pub/${PN}/src/${P}.tar.gz"
HOMEPAGE="http://www.pdc.kth.se/heimdal/"
-DEPEND="virtual/glibc
- >=app-crypt/kth-krb-1.1-r1
+SLOT="0"
+LICENSE=""
+KEYWORDS="x86"
+
+DEPEND=">=app-crypt/kth-krb-1.1-r1
ssl? ( dev-libs/openssl )
ldap? ( net-nds/openldap )
berkdb? ( sys-libs/db )"
@@ -16,27 +19,19 @@ DEPEND="virtual/glibc
src_compile() {
local myconf
- if [ "`use ssl`" ] ; then
- myconf="--with-openssl=/usr"
- fi
+ use ssl && myconf="--with-openssl=/usr"
- if [ "`use ldap`" ] ; then
- myconf="${myconf} --with-open-ldap=/usr"
- fi
+ use ldap && myconf="${myconf} --with-open-ldap=/usr"
- if [ -z "`use ipv6`" ] ; then
- myconf="${myconf} --without-ipv6"
- fi
+ use ipv6 || myconf="${myconf} --without-ipv6"
- if [ -z "`use berkdb`" ] ; then
- myconf="${myconf} --without-berkely-db"
- fi
+ use berkdb || myconf="${myconf} --without-berkely-db"
./configure --host=${CHOST} \
- --prefix=/usr/heimdal \
- --sysconfdir=/etc \
- --with-krb4=/usr/athena \
- ${myconf} || die
+ --prefix=/usr/heimdal \
+ --sysconfdir=/etc \
+ --with-krb4=/usr/athena \
+ ${myconf} || die
emake || die
}
@@ -51,6 +46,3 @@ src_install () {
dodoc COPYRIGHT ChangeLog README NEWS PROBLEMS TODO
}
-
-
-
diff --git a/app-crypt/johntheripper/johntheripper-1.6.ebuild b/app-crypt/johntheripper/johntheripper-1.6.ebuild
index d04af451039e..c711737987f8 100644
--- a/app-crypt/johntheripper/johntheripper-1.6.ebuild
+++ b/app-crypt/johntheripper/johntheripper-1.6.ebuild
@@ -1,20 +1,20 @@
# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/johntheripper/johntheripper-1.6.ebuild,v 1.1 2002/05/22 21:03:14 g2boojum Exp $
-
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/johntheripper/johntheripper-1.6.ebuild,v 1.2 2002/07/25 15:31:24 seemant Exp $
PN0="john"
+S=${WORKDIR}/${PN0}-${PV}
DEBPATCH=${PN0}_${PV}-17.diff.gz
DESCRIPTION="John the Ripper is a fast password cracker."
HOMEPAGE="http://www.openwall.com/${PN0}/"
-LICENSE="GPL-2"
-DEPEND="virtual/glibc
- >=sys-devel/binutils-2.8.1.0.15"
-#RDEPEND=""
SRC_URI="${HOMEPAGE}/${PN0}-${PV}.tar.gz
http://ftp.debian.org/debian/pool/main/j/${PN0}/${DEBPATCH}"
-S=${WORKDIR}/${PN0}-${PV}
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="x86"
+
+DEPEND=">=sys-devel/binutils-2.8.1.0.15"
src_unpack() {
unpack ${PN0}-${PV}.tar.gz
diff --git a/app-crypt/krb5/files/digest-krb5-1.2.2-r1 b/app-crypt/krb5/files/digest-krb5-1.2.2-r1
deleted file mode 100644
index d2104a498fa1..000000000000
--- a/app-crypt/krb5/files/digest-krb5-1.2.2-r1
+++ /dev/null
@@ -1 +0,0 @@
-MD5 57d1bf3a3c68ee8af64e31a46799551c krb5-1.2.2.tar.gz 5349480
diff --git a/app-crypt/krb5/files/digest-krb5-1.2.3 b/app-crypt/krb5/files/digest-krb5-1.2.3
deleted file mode 100644
index 367a8729c9a5..000000000000
--- a/app-crypt/krb5/files/digest-krb5-1.2.3
+++ /dev/null
@@ -1 +0,0 @@
-MD5 1e93aed5e6ae13eb4b5b5278b1a6ab46 krb5-1.2.3.tar.gz 5434273
diff --git a/app-crypt/krb5/files/digest-krb5-1.2.5 b/app-crypt/krb5/files/digest-krb5-1.2.5
deleted file mode 100644
index cadfcd52ed25..000000000000
--- a/app-crypt/krb5/files/digest-krb5-1.2.5
+++ /dev/null
@@ -1 +0,0 @@
-MD5 980c7935b27281e65367c538366776ab krb5-1.2.5.tar.gz 5480606
diff --git a/app-crypt/krb5/krb5-1.2.2-r1.ebuild b/app-crypt/krb5/krb5-1.2.2-r1.ebuild
deleted file mode 100644
index 928394e99ec3..000000000000
--- a/app-crypt/krb5/krb5-1.2.2-r1.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 1999-2000 Gentoo Technologies, Inc.
-# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/krb5/krb5-1.2.2-r1.ebuild,v 1.2 2002/07/11 06:30:11 drobbins Exp $
-
-S=${WORKDIR}/${P}/src
-SRC_URI="http://www.crypto-publish.org/dist/mit-kerberos5/${P}.tar.gz"
-DESCRIPTION="MIT Kerberos V (set up for pam)"
-HOMEPAGE="http://crypto-publish.org"
-
-DEPEND="virtual/glibc"
-
-
-src_compile() {
-
- patch -p0 < ${FILESDIR}/${P}-gentoo.diff
-
- ./configure --with-krb4 --enable-shared --prefix=/usr \
- --mandir=/usr/share/man --host=${CHOST} \
- || die
- mv Makefile Makefile.orig
- #Don't install the ftp, telnet, r* apps; use pam instead
- sed -e 's/ appl / /' Makefile.orig > Makefile
- emake || die
-
-}
-
-src_install () {
-
- make DESTDIR=${D} install || die
- cd ..
- dodoc README
- echo 'NOTE: ftp, telnet, r* apps not installed. Install pam-krb5!'
-
-}
-
diff --git a/app-crypt/krb5/krb5-1.2.3.ebuild b/app-crypt/krb5/krb5-1.2.3.ebuild
deleted file mode 100644
index c2596dc640dc..000000000000
--- a/app-crypt/krb5/krb5-1.2.3.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 1999-2000 Gentoo Technologies, Inc.
-# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/krb5/krb5-1.2.3.ebuild,v 1.2 2002/07/11 06:30:11 drobbins Exp $
-
-S=${WORKDIR}/${P}/src
-SRC_URI="http://www.crypto-publish.org/dist/mit-kerberos5/${P}.tar.gz"
-DESCRIPTION="MIT Kerberos V (set up for pam)"
-HOMEPAGE="http://crypto-publish.org"
-
-DEPEND="virtual/glibc"
-
-
-src_compile() {
-
- patch -p0 < ${FILESDIR}/${PN}-1.2.2-gentoo.diff
-
- ./configure --with-krb4 --enable-shared --prefix=/usr \
- --mandir=/usr/share/man --host=${CHOST} \
- || die
- mv Makefile Makefile.orig
- #Don't install the ftp, telnet, r* apps; use pam instead
- sed -e 's/ appl / /' Makefile.orig > Makefile
- emake || die
-
-}
-
-src_install () {
-
- make DESTDIR=${D} install || die
- cd ..
- dodoc README
- echo 'NOTE: ftp, telnet, r* apps not installed. Install pam-krb5!'
-
-}
-
diff --git a/app-crypt/krb5/krb5-1.2.5-r1.ebuild b/app-crypt/krb5/krb5-1.2.5-r1.ebuild
index f01da5eb01d5..99b0b0605e61 100644
--- a/app-crypt/krb5/krb5-1.2.5-r1.ebuild
+++ b/app-crypt/krb5/krb5-1.2.5-r1.ebuild
@@ -1,27 +1,26 @@
# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/krb5/krb5-1.2.5-r1.ebuild,v 1.1 2002/06/23 01:23:35 sandymac Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/krb5/krb5-1.2.5-r1.ebuild,v 1.2 2002/07/25 15:31:25 seemant Exp $
S=${WORKDIR}/${P}/src
SRC_URI="http://www.crypto-publish.org/dist/mit-kerberos5/${P}.tar.gz"
DESCRIPTION="MIT Kerberos V (set up for pam)"
HOMEPAGE="http://crypto-publish.org"
-DEPEND="virtual/glibc"
-RDEPEND="${DEPEND}"
-
-LICENSE="as-is"
SLOT="0"
+LICENSE="as-is"
+KEYWORDS="x86"
+
+DEPEND="virtual/glibc"
src_compile() {
patch -p0 < ${FILESDIR}/${PN}-1.2.2-gentoo.diff
- ./configure --with-krb4 --enable-shared --prefix=/usr \
- --mandir=/usr/share/man --host=${CHOST} \
- --localstatedir=/var \
- --enable-dns \
- || die
+ econf \
+ --with-krb4 \
+ --enable-shared \
+ --enable-dns || die
mv Makefile Makefile.orig
#Don't install the ftp, telnet, r* apps; use pam instead
sed -e 's/ appl / /' Makefile.orig > Makefile
diff --git a/app-crypt/krb5/krb5-1.2.5.ebuild b/app-crypt/krb5/krb5-1.2.5.ebuild
deleted file mode 100644
index e70cac887b37..000000000000
--- a/app-crypt/krb5/krb5-1.2.5.ebuild
+++ /dev/null
@@ -1,37 +0,0 @@
-# Copyright 1999-2000 Gentoo Technologies, Inc.
-# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/krb5/krb5-1.2.5.ebuild,v 1.2 2002/07/11 06:30:11 drobbins Exp $
-
-S=${WORKDIR}/${P}/src
-SRC_URI="http://www.crypto-publish.org/dist/mit-kerberos5/${P}.tar.gz"
-DESCRIPTION="MIT Kerberos V (set up for pam)"
-HOMEPAGE="http://crypto-publish.org"
-
-DEPEND="virtual/glibc"
-
-
-src_compile() {
-
- patch -p0 < ${FILESDIR}/${PN}-1.2.2-gentoo.diff
-
- ./configure --with-krb4 --enable-shared --prefix=/usr \
- --mandir=/usr/share/man --host=${CHOST} \
- --localstatedir=/var/krb5kdc \
- --enable-dns \
- || die
- mv Makefile Makefile.orig
- #Don't install the ftp, telnet, r* apps; use pam instead
- sed -e 's/ appl / /' Makefile.orig > Makefile
- emake || die
-
-}
-
-src_install () {
-
- make DESTDIR=${D} install || die
- cd ..
- dodoc README
- echo 'NOTE: ftp, telnet, r* apps not installed. Install pam-krb5!'
-
-}
-
diff --git a/app-crypt/kth-krb/kth-krb-1.1-r1.ebuild b/app-crypt/kth-krb/kth-krb-1.1-r1.ebuild
index 57d61ee4dfcb..fd05b463cc3d 100644
--- a/app-crypt/kth-krb/kth-krb-1.1-r1.ebuild
+++ b/app-crypt/kth-krb/kth-krb-1.1-r1.ebuild
@@ -1,33 +1,31 @@
-# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/kth-krb/kth-krb-1.1-r1.ebuild,v 1.2 2002/07/11 06:30:11 drobbins Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/kth-krb/kth-krb-1.1-r1.ebuild,v 1.3 2002/07/25 15:31:25 seemant Exp $
S=${WORKDIR}/krb4-${PV}
DESCRIPTION="Kerberos 4 implementation from KTH"
SRC_URI="ftp://ftp.pdc.kth.se/pub/krb/src/krb4-${PV}.tar.gz"
HOMEPAGE="http://www.pdc.kth.se/kth-krb/"
-DEPEND="virtual/glibc
- ssl? ( >=dev-libs/openssl-0.9.6b )
+SLOT="0"
+LICENSE="as-is"
+KEYWORDS="x86"
+
+DEPEND="ssl? ( >=dev-libs/openssl-0.9.6b )
afs? ( >=net-fs/openafs-1.2.2-r7 )"
src_compile() {
- local myconf
-
- myconf=""
+ local myconf=""
- if [ "`use ssl`" ] ; then
- myconf="${myconf} --with-openssl=/usr"
- fi
+ use ssl && myconf="${myconf} --with-openssl=/usr"
- if [ -z "`use afs`" ] ; then
- myconf="${myconf} --without-afs-support"
- fi
+ use afs || myconf="${myconf} --without-afs-support"
- ./configure --host=${CHOST} \
- --prefix=/usr/athena \
- --sysconfdir=/etc \
- ${myconf} || die
+ ./configure \
+ --host=${CHOST} \
+ --prefix=/usr/athena \
+ --sysconfdir=/etc \
+ ${myconf} || die
emake || die
}
@@ -52,6 +50,3 @@ src_install () {
dodoc COPYRIGHT ChangeLog README NEWS PROBLEMS TODO
}
-
-
-
diff --git a/app-crypt/mhash/mhash-0.8.16.ebuild b/app-crypt/mhash/mhash-0.8.16.ebuild
index 054090434fd1..79728e1977bb 100644
--- a/app-crypt/mhash/mhash-0.8.16.ebuild
+++ b/app-crypt/mhash/mhash-0.8.16.ebuild
@@ -1,35 +1,27 @@
# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/mhash/mhash-0.8.16.ebuild,v 1.2 2002/07/07 01:32:57 aliz Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/mhash/mhash-0.8.16.ebuild,v 1.3 2002/07/25 15:31:25 seemant Exp $
S=${WORKDIR}/${P}
DESCRIPTION="mhash is a library providing a uniform interface to a large number of hash algorithms."
SRC_URI="http://telia.dl.sourceforge.net/sourceforge/mhash/${P}.tar.gz"
HOMEPAGE="http://mhash.sourceforge.net/"
+
+SLOT="0"
LICENSE="GPL-2"
+KEYWORDS="x86"
DEPEND="virtual/glibc"
src_compile() {
-
- ./configure --host=${CHOST} \
- --prefix=/usr \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info \
- --sysconfdir=/etc || die
-
+ econf || die
emake || die
}
src_install () {
-
dodir /usr/{bin,include,lib}
- make prefix=${D}/usr \
- mandir=${D}/usr/share/man \
- infodir=${D}/usr/share/info \
- sysconfdir=${D}/etc \
- install || die
+ einstall || die
dodoc AUTHORS COPYING INSTALL NEWS README TODO
dodoc doc/*.txt doc/skid*
diff --git a/app-crypt/mhash/mhash-0.8.9.ebuild b/app-crypt/mhash/mhash-0.8.9.ebuild
index 03f0766c62a3..8866e38ab2d9 100644
--- a/app-crypt/mhash/mhash-0.8.9.ebuild
+++ b/app-crypt/mhash/mhash-0.8.9.ebuild
@@ -1,22 +1,21 @@
# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/mhash/mhash-0.8.9.ebuild,v 1.5 2002/07/25 15:31:25 seemant Exp $
S=${WORKDIR}/${P}
DESCRIPTION="mhash is a library providing a uniform interface to a large number of hash algorithms."
SRC_URI="http://mhash.sourceforge.net/dl/${P}.tar.gz"
HOMEPAGE="http://mhash.sourceforge.net/"
+
+SLOT="0"
LICENSE="GPL-2"
+KEYWORDS="x86"
DEPEND="virtual/glibc"
src_compile() {
- ./configure --host=${CHOST} \
- --prefix=/usr \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info \
- --sysconfdir=/etc || die
-
+ econf || die
emake || die
}
@@ -24,11 +23,7 @@ src_install () {
dodir /usr/{bin,include,lib}
- make prefix=${D}/usr \
- mandir=${D}/usr/share/man \
- infodir=${D}/usr/share/info \
- sysconfdir=${D}/etc \
- install || die
+ einstall || die
dodoc AUTHORS COPYING INSTALL NEWS README TODO
dodoc doc/*.txt doc/skid*
diff --git a/app-crypt/pam_krb5/pam_krb5-1.0.ebuild b/app-crypt/pam_krb5/pam_krb5-1.0.ebuild
index 78a180cb4f37..ce5e7cab07b4 100644
--- a/app-crypt/pam_krb5/pam_krb5-1.0.ebuild
+++ b/app-crypt/pam_krb5/pam_krb5-1.0.ebuild
@@ -1,28 +1,29 @@
-# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/pam_krb5/pam_krb5-1.0.ebuild,v 1.5 2002/07/11 06:30:11 drobbins Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/pam_krb5/pam_krb5-1.0.ebuild,v 1.6 2002/07/25 15:31:25 seemant Exp $
S=${WORKDIR}/${PN}
DESCRIPTION="Pam module for MIT Kerberos V"
SRC_URI="http://www.fcusack.com/soft/${P}.tar.gz"
HOMEPAGE="http://www.fcusack.com"
+SLOT="0"
+LICENSE="BSD GPL-2 as-is"
+KEYWORDS="x86"
+
DEPEND="app-crypt/krb5
- sys-libs/pam"
+ sys-libs/pam"
src_compile() {
- patch -p0 < ${FILESDIR}/${P}-gentoo.diff
- try make CFLAGS="$CFLAGS"
+ patch -p0 < ${FILESDIR}/${P}-gentoo.diff || die
+ make CFLAGS="$CFLAGS" || die
}
src_install () {
-
exeinto /lib/security
doexe pam_krb5.so.1
dosym /lib/security/pam_krb5.so.1 /lib/security/pam_krb5.so
doman pam_krb5.5
dodoc COPYRIGHT README TODO
-
}
-
diff --git a/app-crypt/seahorse/seahorse-0.5.0.ebuild b/app-crypt/seahorse/seahorse-0.5.0.ebuild
index 10948fbeab62..737edcce807e 100644
--- a/app-crypt/seahorse/seahorse-0.5.0.ebuild
+++ b/app-crypt/seahorse/seahorse-0.5.0.ebuild
@@ -1,28 +1,28 @@
-# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/seahorse/seahorse-0.5.0.ebuild,v 1.11 2002/07/11 06:30:11 drobbins Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/seahorse/seahorse-0.5.0.ebuild,v 1.12 2002/07/25 15:31:25 seemant Exp $
S=${WORKDIR}/${P}
DESCRIPTION="gnome front end to gnupg"
SRC_URI="http://download.sourceforge.net/seahorse/${P}.tar.gz"
HOMEPGAE="http://seahorse.sourceforge.net/"
+
+SLOT="0"
LICENSE="GPL-2"
+KEYWORDS="x86"
-DEPEND="virtual/glibc virtual/x11
+DEPEND="virtual/x11
>=app-crypt/gnupg-1.0.4
>=gnome-base/gnome-libs-1.4.1.2-r1"
src_compile() {
- ./configure --host=${CHOST} \
- --prefix=/usr
- assert
-
+ econf || die
emake || die
}
src_install() {
- make DESTDIR=${D} \
- localedir=${D}/usr/share/locale \
+ make DESTDIR=${D} \
+ localedir=${D}/usr/share/locale \
gnulocaledir=${D}/usr/share/locale install || die
dodoc AUTHORS COPYING ChangeLog NEWS README TODO
diff --git a/app-crypt/ssh-multiadd/ssh-multiadd-1.3.1.ebuild b/app-crypt/ssh-multiadd/ssh-multiadd-1.3.1.ebuild
index bb4fb022fecb..8cb4492c8352 100644
--- a/app-crypt/ssh-multiadd/ssh-multiadd-1.3.1.ebuild
+++ b/app-crypt/ssh-multiadd/ssh-multiadd-1.3.1.ebuild
@@ -1,12 +1,15 @@
-# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/app-crypt/ssh-multiadd/ssh-multiadd-1.3.1.ebuild,v 1.7 2002/07/11 06:30:11 drobbins Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/ssh-multiadd/ssh-multiadd-1.3.1.ebuild,v 1.8 2002/07/25 15:31:25 seemant Exp $
S=${WORKDIR}/${P}
-DESCRIPTION=""
+DESCRIPTION="adds multiple ssh keys to the ssh authentication agent. These may use the same passphrase. Unlike ssh-add, if any of the keys use the same passphrase, you will only need to enter each unique passphrase once, and keys that are already added will not be prompted for again."
SRC_URI="http://www.azstarnet.com/~donut/programs/ssh-multiadd/${P}.tar.gz"
-HOMEPAGE="http://www.azstarnet.com/~donut/programs/"
+HOMEPAGE="http://www.azstarnet.com/~donut/programs/index_s.html#ssh-multiadd"
+
+SLOT="0"
LICENSE="GPL-2"
+KEYWORDS="x86"
DEPEND=">=dev-lang/python-2.0-r3
X? ( >=net-misc/x11-ssh-askpass-1.2.2 )"
@@ -15,17 +18,13 @@ DEPEND=">=dev-lang/python-2.0-r3
#so I added the X? ( ) -- drobbins
src_unpack() {
-
unpack ${A}
cd ${S}
patch -p0 < ${FILESDIR}/ssh-multiadd-1.3.1.diff
}
src_install () {
-
dobin ssh-multiadd
doman ssh-multiadd.1
dodoc COPYING ChangeLog README todo
-
}
-